Results 1 to 5 of 5
  1. #1
    Sisir is offline Member
    Join Date
    Aug 2013
    Posts
    2
    Rep Power
    0

    Default Please help resolve this error

    Please help resolve this error-jars_added1.pngClick image for larger version. 

Name:	jars_added1.PNG 
Views:	18 
Size:	35.6 KB 
ID:	5430
    Hi,
    I am trying to deploy a struts based application on dev but I am unable to do so because of the following reasons:

    1. When I am removing servlet-api-2.5.jar from my project I am getting this error : Error 404: Parsing error processing resource path
    2. When I am including servlet-api-2.5.jar from my project I am getting this error: Error 404: SRVE0201E: Servlet [org.apache.struts.action.ActionServlet]: not a servlet class

    Please provide some tips on how to resolve this issue ,which jars are to be added or if there are any jars that are extra and needs to be removed, any helpful suggestion would be appreciated.

    I have also attached the jars that are present in my project workspace please have a look through it and let mw know if new version of any existing jar has to be added.
    Attached Thumbnails Attached Thumbnails Please help resolve this error-jars_added2.png  

  2. #2
    DarrylBurke's Avatar
    DarrylBurke is offline Member
    Join Date
    Sep 2008
    Location
    Madgaon, Goa, India
    Posts
    11,202
    Rep Power
    19

    Default Re: Please help resolve this error

    Quote Originally Posted by Sisir View Post
    Please help resolve this error
    Please go through the Forum Rules, especially the third paragraph.

    db
    If you're forever cleaning cobwebs, it's time to get rid of the spiders.

  3. #3
    Sisir is offline Member
    Join Date
    Aug 2013
    Posts
    2
    Rep Power
    0

    Default Error 404: Parsing error processing resource path

    Gentle Reminder: please help me out i am totally stuck here.

    Quote Originally Posted by Sisir View Post
    Click image for larger version. 

Name:	jars_added1.PNG 
Views:	18 
Size:	35.6 KB 
ID:	5430Click image for larger version. 

Name:	jars_added1.PNG 
Views:	18 
Size:	35.6 KB 
ID:	5430
    Hi,
    I am trying to deploy a struts based application on dev but I am unable to do so because of the following reasons:

    1. When I am removing servlet-api-2.5.jar from my project I am getting this error : Error 404: Parsing error processing resource path
    2. When I am including servlet-api-2.5.jar from my project I am getting this error: Error 404: SRVE0201E: Servlet [org.apache.struts.action.ActionServlet]: not a servlet class

    Please provide some tips on how to resolve this issue ,which jars are to be added or if there are any jars that are extra and needs to be removed, any helpful suggestion would be appreciated.

    I have also attached the jars that are present in my project workspace please have a look through it and let mw know if new version of any existing jar has to be added.

  4. #4
    gimbal2 is offline Just a guy
    Join Date
    Jun 2013
    Location
    Netherlands
    Posts
    3,914
    Rep Power
    5

    Default Re: Please help resolve this error

    Struts 1.1 is very legacy, I would stay clear of it if I were you. If you must use Struts go for Struts 2, but even that isn't the the greatest web framework available.

    I quote from the website:

    "The Apache Struts Project Team would like to inform you that the Struts 1.x web framework has reached its end of life and is no longer officially supported."

    Even Apache declares it dead; you should take the hint. The longer you stick with it, the more you'll be alone in your troubles. But of course you always have a decent stock of books that cover Struts 1, you should get one if you decide to stick with it. good luck.
    "Syntactic sugar causes cancer of the semicolon." -- Alan Perlis

  5. #5
    Pradip Yadav is offline Member
    Join Date
    Sep 2013
    Posts
    2
    Rep Power
    0

    Default Re: Please help resolve this error

    Hi Sisir,

    Looking at your problem, please make sure that Servlet-api.jar is available in $TOMCAT_HOME_DIR > lib. If this is so then there is not need to include this jar in lib of your app context.
    Hope this will help you out!!!

Similar Threads

  1. Cannot resolve symbol error
    By name in forum New To Java
    Replies: 4
    Last Post: 12-07-2011, 05:35 PM
  2. help me to resolve this error
    By akiravelmont in forum Web Frameworks
    Replies: 3
    Last Post: 05-17-2011, 02:04 PM
  3. any one help me to resolve this error
    By akiravelmont in forum JavaServer Pages (JSP) and JSTL
    Replies: 0
    Last Post: 03-11-2011, 06:06 PM
  4. how to resolve this error???
    By 10e5x in forum New To Java
    Replies: 1
    Last Post: 01-21-2011, 07:40 AM
  5. How to RESOLVE the follwoing error
    By shiva.b in forum New To Java
    Replies: 0
    Last Post: 03-11-2010, 05:08 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •